## dtkcore 5.6.2.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)

set (DVERSION "5.6.2" CACHE STRING "define project version")

project (DtkCore
  VERSION ${DVERSION}
  DESCRIPTION "DTK Core module"
  HOMEPAGE_URL "https://github.com/linuxdeepin/dtkcore"
  LANGUAGES CXX C
)
message(STATUS ${PROJECT_VERSION})

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()
set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libdtk-${CMAKE_PROJECT_VERSION}/DCore")
set (TOOL_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/libdtk-${PROJECT_VERSION}/DCore/bin")
set (LIBRARY_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}")
set (MKSPECS_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/qt5/mkspecs/modules" CACHE STRING "INSTALL DIR FOR qt pri files")

set (BUILD_EXAMPLES ON CACHE BOOL "Build examples")
option(BUILD_VERSION "buildversion" "0")
if(NOT BUILD_VERSION)
  set(BUILD_VERSION "0")
endif()

if(UNIX AND NOT APPLE)
  set(LINUX TRUE)
endif()
set (BUILD_DOCS ON CACHE BOOL "Generate doxygen-based documentation")

# CXX FILAGS
set(CMAKE_CXX_STANDARD 11)
if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

if(NOT MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -Wall -Wextra")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--as-needed")
  if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer")
    set(BUILD_TESTING ON)
  endif ()
  string(REPLACE "-O3" "-Ofast" CMAKE_CXX_FLAGS_RELEASE ${CMAKE_CXX_FLAGS_RELEASE})
endif()

if (BUILD_DOCS)
  add_subdirectory(docs)
endif ()

add_subdirectory(src)
if(BUILD_TESTING)
  message("==================================")
  message("       Now Testing is enabled     ")
  message("==================================")
  enable_testing()
  add_subdirectory(tests)
endif()
if(BUILD_EXAMPLES)
  message("===================================")
  message("You can build and run examples now ")
  message("===================================")
  add_subdirectory(examples)
endif()
add_subdirectory(tools)
install(FILES cmake/DtkCMake/DtkCMakeConfig.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkCMake/")
install(FILES cmake/DtkTools/DtkToolsConfig.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkTools")
install(FILES cmake/DtkTools/DtkSettingsToolsMacros.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkTools")

configure_package_config_file(misc/DtkConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/DtkCoreConfig.cmake
    INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkCore"
    PATH_VARS INCLUDE_INSTALL_DIR LIBRARY_INSTALL_DIR TOOL_INSTALL_DIR)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/DtkCoreConfigVersion.cmake"
    VERSION ${DVERSION}
    COMPATIBILITY SameMajorVersion
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/DtkCoreConfig.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkCore")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/DtkCoreConfigVersion.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkCore")

configure_file(misc/dtkcore.pc.in dtkcore.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dtkcore.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

configure_file(misc/qt_lib_dtkcore.pri.in qt_lib_dtkcore.pri @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qt_lib_dtkcore.pri DESTINATION "${MKSPECS_INSTALL_DIR}")
set(CONFIGNAME include/global/dtkcore_config.h)
file(WRITE ${CONFIGNAME} 
  "// it is auto make config\n"
  "#define DTK_VERSION_MAJOR ${PROJECT_VERSION_MAJOR}\n"
  "#define DTK_VERSION_MINOR ${PROJECT_VERSION_MINOR}\n"
  "#define DTK_VERSION_PATCH ${PROJECT_VERSION_PATCH}\n"
  "#define DTK_VERSION_BUILD ${BUILD_VERSION}\n"
  "#define DTK_VERSION_STR \"${PROJECT_VERSION}\"\n"	
  "\n"
)
file(GLOB CONFIGSOURCE include/DtkCore/*)

foreach(FILENAME ${CONFIGSOURCE})
  get_filename_component(thefile ${FILENAME} NAME)
  file(APPEND ${CONFIGNAME} "#define DTKCORE_CLASS_${thefile}\n")
endforeach()

=== docs/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)

find_package (Doxygen REQUIRED)

set (QCH_INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/qt5/doc CACHE STRING "QCH install location")

set (DOXYGEN_GENERATE_HTML YES CACHE STRING "Doxygen HTML output")
set (DOXYGEN_GENERATE_XML YES CACHE STRING "Doxygen XML output")
set (DOXYGEN_GENERATE_QHP YES CACHE STRING "Doxygen QHP output")
set (DOXYGEN_FILE_PATTERNS *.cpp *.h *.zh_CN.md *.zh_CN.dox CACHE STRING "Doxygen File Patterns")
set (DOXYGEN_PROJECT_NUMBER ${CMAKE_PROJECT_VERSION} CACHE STRING "") # Should be the same as this project is using.
set (DOXYGEN_EXTRACT_STATIC YES)
set (DOXYGEN_OUTPUT_LANGUAGE "Chinese")
set (DOXYGEN_QHG_LOCATION "qhelpgenerator")
set (DOXYGEN_QHP_NAMESPACE "org.deepin.dtk.core")
set (DOXYGEN_QCH_FILE "dtkcore.qch")
set (DOXYGEN_QHP_VIRTUAL_FOLDER "dtkcore")
set (DOXYGEN_HTML_EXTRA_STYLESHEET "" CACHE STRING "Doxygen custom stylesheet for HTML output")
set (DOXYGEN_TAGFILES "qtcore.tags=qthelp://org.qt-project.qtcore/qtcore/" CACHE STRING "Doxygen tag files")

set (DOXYGEN_PREDEFINED
    "\"DCORE_BEGIN_NAMESPACE=namespace Dtk { namespace Core {\""
    "\"DCORE_END_NAMESPACE=}}\""
    "\"DCORE_USE_NAMESPACE=using namespace Dtk::Core\;\""
)
set (DOXYGEN_MACRO_EXPANSION "YES")
set (DOXYGEN_EXPAND_ONLY_PREDEF "YES")

doxygen_add_docs (doxygen
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_SOURCE_DIR}/docs
    ALL
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMENT "Generate documentation via Doxygen"
)

install (FILES ${PROJECT_BINARY_DIR}/docs/html/dtkcore.qch DESTINATION ${QCH_INSTALL_DESTINATION})

=== examples/CMakeLists.txt ===
add_subdirectory(dasync-example)
add_subdirectory(expintf-example)

=== src/CMakeLists.txt ===
#cmake_minimum_required(VERSION 3.5)
set(LIBNAME dtkcore)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

set (DSG_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" CACHE STRING "PREFIX of DSG_DATA_DIRS")
add_definitions(-DPREFIX="${DSG_PREFIX_PATH}")
add_definitions(-DLIBDTKCORE_LIBRARY)
find_package(Qt5 REQUIRED COMPONENTS Core)
if(LINUX)
find_package(PkgConfig REQUIRED)
pkg_check_modules(QGSettings REQUIRED gsettings-qt)
find_package(Qt5 REQUIRED COMPONENTS DBus)
endif()
find_package(Qt5 REQUIRED COMPONENTS Xml)

# start base 
include(base/base.cmake)
# end base
if(LINUX)
  include(dbus/dbus.cmake)
endif()
#message(${dbus_SRCS})
# end dbus

# start dci
include(dci/dci.cmake)
#end dci

#start filesystem
include(filesystem/filesystem.cmake)
#end filesystem
# start log 
include(log/log.cmake)
#end log
# start settings 
include(settings/settings.cmake)
#end settings

#start utils 
include(util/util.cmake)
#end utils

#GLOB
include(glob.cmake)
#endGLOG
if(LINUX)
  add_library(${LIBNAME} SHARED 
    ${dbus_SRCS}
    ${base_SRCS}
    ${dci_SRCS}
    ${filesystem_SRCS}
    ${log_SRCS}
    ${settings_SRC}
    ${utils_SRC}
    ${glob_SRC}
  )
  target_link_libraries(
    ${LIBNAME} PRIVATE 
    Qt5::Core 
    Qt5::DBus
    Qt5::Xml
    ${QGSettings_LIBRARIES}
  )
else()
  add_library(${LIBNAME} SHARED 
    ${base_SRCS}
    ${dci_SRCS}
    ${filesystem_SRCS}
    ${log_SRCS}
    ${settings_SRC}
    ${utils_SRC}
    ${glob_SRC}
  )
  target_link_libraries(
    ${LIBNAME} PRIVATE 
    Qt5::Core 
    Qt5::Xml
  )
endif()
set_target_properties(${LIBNAME} PROPERTIES
  VERSION ${CMAKE_PROJECT_VERSION}
  SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
)
target_include_directories( ${LIBNAME} PUBLIC
  ${QGSettings_INCLUDE_DIRS}
  ${Qt5Core_PRIVATE_INCLUDE_DIRS}
  ../include/util/
  ../include/dci/
  ../include/log/
  ../include/base/
  ../include/base/private
  ../include/global/
  ../include/DtkCore/
  ../include/settings/
  ../include/filesystem/
  ../include/
)
set(TOINSTALLBASE
  ../include/base/dobject.h
  ../include/base/dsingleton.h
  ../include/base/private/dobject_p.h
  ../include/base/derror.h
  ../include/base/dexpected.h
)
install(FILES ${TOINSTALLBASE} DESTINATION "${INCLUDE_INSTALL_DIR}")
install(DIRECTORY ../include/dci/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*.h")
install(DIRECTORY ../include/DtkCore/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*")
install(DIRECTORY ../include/filesystem/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*.h")
install(DIRECTORY ../include/global/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*.h")
file(GLOB TOINSTALLLOG 
  ../include/log/*.h
)
install(FILES ${TOINSTALLLOG} DESTINATION "${INCLUDE_INSTALL_DIR}")
file(GLOB TOINSTALLSETTINGS 
  ../include/settings/*.h
  ../include/settings/backend/*.h
)
install(FILES ${TOINSTALLSETTINGS} DESTINATION "${INCLUDE_INSTALL_DIR}")
install(DIRECTORY ../include/util/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*.h")
install(TARGETS ${LIBNAME} DESTINATION ${LIBRARY_INSTALL_DIR})

=== tests/CMakeLists.txt ===
set(BIN_NAME "ut-${PROJECT_NAME}")

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
# dbus
set(CMAKE_CXX_FLAGS "-fno-access-control -ldl")
add_compile_options(-fsanitize=address)
add_link_options(-fsanitize=address)
add_definitions(-DPREFIX="${CMAKE_PREFIX_PATH}")
add_definitions(-DOS_VERSION_TEST_FILE="/tmp/etc/os-version")
find_package(Qt5 REQUIRED COMPONENTS Gui)
find_package(Qt5 REQUIRED COMPONENTS Core)
if(LINUX)
  find_package(Qt5 REQUIRED COMPONENTS DBus)
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(QGSettings REQUIRED gsettings-qt)
endif()
find_package(Qt5 REQUIRED COMPONENTS Xml)
find_package(Qt5 REQUIRED COMPONENTS Concurrent)
find_package(Qt5 REQUIRED COMPONENTS Test)
find_package(GTest REQUIRED)

# start base 
include(../src/base/base.cmake)

# end base
if(LINUX)
  include(../src/dbus/dbus.cmake)
endif()
#message(${dbus_SRCS})
# end dbus



# start dci
include(../src/dci/dci.cmake)
#end dci

#start filesystem
include(../src/filesystem/filesystem.cmake)
#end filesystem
# start log 
include(../src/log/log.cmake)
#end log
# start settings 
include(../src/settings/settings.cmake)
#message(${settings_SRC})
#end settings

#start utils 

# TODO match linux and others
include(../src/util/util.cmake)
#end utils

#GLOB
include(../src/glob.cmake)

#endglob


# test 
file(GLOB TEST_HEADER
  ut_.*h 
)
file(GLOB TEST_SOURCE
  *.cpp 
)
set(test_SRC 
  ${TEST_HEADER}
  ${TEST_SOURCE}
)



# end test
if(LINUX)
  add_executable(${BIN_NAME}
    ${dbus_SRCS}
    ${base_SRCS}
    ${dci_SRCS}
    ${filesystem_SRCS}
    ${log_SRCS}	
    ${settings_SRC}
    ${utils_SRC}
    ${glob_SRC}
    ${test_SRC}
    ./data.qrc
  )
  target_link_libraries(
    ${BIN_NAME} PRIVATE 
    Qt5::Gui 
    Qt5::Core 
    Qt5::DBus
    Qt5::Xml
    Qt5::Concurrent 
    Qt5::Test
    ${GTEST_LIBRARIES}
    ${QGSettings_LIBRARIES}
    -lpthread
    -lm 
    -lgcov
  )
  if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    target_compile_options(${BIN_NAME} PRIVATE -fprofile-instr-generate -ftest-coverage)
  endif()
  if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    target_compile_options(${BIN_NAME} PRIVATE -fprofile-arcs -ftest-coverage)
  endif()
  target_include_directories( ${BIN_NAME} PUBLIC
    ${Qt5Core_PRIVATE_INCLUDE_DIRS}
    ${QGSettings_INCULDE_DIRS}
    ../include/util/
    ../include/dci/
    ../include/log/
    ../include/base/
    ../include/base/private/
    ../include/global/
    ../include/DtkCore/
    ../include/settings/
    ../include/filesystem/
    ../include/
    ../src/filesystem/private/
  )
else()
  add_executable(${BIN_NAME}
    ${base_SRCS}
    ${dci_SRCS}
    ${filesystem_SRCS}
    ${log_SRCS}
    ${settings_SRC}
    ${utils_SRC}
    ${glob_SRC}
    ${test_SRC}
    ./data.qrc
  )
  target_link_libraries(
    ${BIN_NAME} PRIVATE 
    Qt5::Gui
    Qt5::Core
    Qt5::Xml
    Qt5::Concurrent
    Qt5::Test
    ${GTEST_LIBRARIES}
    -lpthread
    -lm 
    -lgcov
  )
  if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    target_compile_options(${BIN_NAME} PRIVATE -fprofile-instr-generate -ftest-coverage)
  endif()
  if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    target_compile_options(${BIN_NAME} PRIVATE -fprofile-arcs -ftest-coverage)
  endif()
  target_include_directories( ${BIN_NAME} PUBLIC
    ${Qt5Core_PRIVATE_INCLUDE_DIRS}
    ../include/util/
    ../include/dci/
    ../include/log/
    ../include/base/
    ../include/base/private/
    ../include/global/
    ../include/DtkCore/
    ../include/settings/
    ../include/filesystem/
    ../include/
  )
endif()

add_test(NAME ${BIN_NAME} COMMAND ${BIN_NAME})

=== tools/CMakeLists.txt ===
add_subdirectory(dci)
add_subdirectory(deepin-os-release)
add_subdirectory(qdbusxml2cpp)
add_subdirectory(settings)

=== examples/expintf-example/CMakeLists.txt ===
set(BINNAME exprintf)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
find_package(Qt5 REQUIRED COMPONENTS DBus)

add_executable(${BINNAME}
  main.cpp
)

target_link_libraries(
  ${BINNAME} PRIVATE 
  Qt5::DBus 
  dtkcore
)
target_include_directories(${BINNAME} PUBLIC
  ../../include/base
  ../../include/base/private/
  ../../include/filesystem/
  ../../include/
)

=== tools/dci/CMakeLists.txt ===
set(BIN_NAME dci)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
find_package(Qt5 REQUIRED COMPONENTS Core)
add_definitions(-DDTK_NO_PROJECT)
# start dci
include(../../src/dci/dci.cmake)
add_executable(${BIN_NAME}
  ${dci_SRCS}
  main.cpp
)
target_link_libraries(${BIN_NAME} PRIVATE
  Qt5::Core 
)
target_include_directories(${BIN_NAME} PUBLIC
  ${Qt5Core_PRIVATE_INCLUDE_DIRS}
  ../../include/
  ../../include/dci/
  ../../include/DtkCore/
  ../../include/base/
  ../../include/global/
)
#end dci

=== tools/deepin-os-release/CMakeLists.txt ===
set(BIN_NAME deepin-os-release)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_AUTOMOC ON)
find_package(Qt5 REQUIRED COMPONENTS Core)
add_definitions(-DDTK_NO_PROJECT)
# start dci
set(dci_SRCS
  ../../include/global/dsysinfo.h
  ../../include/global/ddesktopentry.h
  ../../src/dsysinfo.cpp
  ../../src/ddesktopentry.cpp
)
add_executable(${BIN_NAME}
  ${dci_SRCS}
  main.cpp
)
target_link_libraries(${BIN_NAME} PRIVATE
  Qt5::Core
)
target_include_directories(${BIN_NAME} PUBLIC
  ${Qt5Core_PRIVATE_INCLUDE_DIRS}
  ../../include/
  ../../include/dci/
  ../../include/DtkCore/
  ../../include/base/
  ../../include/global/
)
install(TARGETS ${BIN_NAME} DESTINATION "${TOOL_INSTALL_DIR}")

#end dci

=== tools/qdbusxml2cpp/CMakeLists.txt ===
set(BIN_NAME qdbusxml2cpp-fix)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
find_package(Qt5 REQUIRED COMPONENTS Core)
find_package(Qt5 REQUIRED COMPONENTS DBus)

add_executable(${BIN_NAME}
  qdbusxml2cpp.cpp 
)

target_link_libraries(
  ${BIN_NAME} PRIVATE
  Qt5::DBus
  Qt5::Core 
)
target_include_directories(${BIN_NAME} PUBLIC
  ${Qt5DBus_PRIVATE_INCLUDE_DIRS}
)
install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

=== tools/settings/CMakeLists.txt ===
set(BIN_NAME dtk-settings)

find_package(Qt5 REQUIRED COMPONENTS Core)
find_package(Qt5 REQUIRED COMPONENTS Xml)
find_package(PkgConfig REQUIRED)
pkg_check_modules(QGSettings REQUIRED gsettings-qt)
add_executable(${BIN_NAME}
  main.cpp
)
target_link_libraries(
  ${BIN_NAME} PRIVATE
  Qt5::Core
  Qt5::Xml
  dtkcore
  ${QGSettings_LIBRARIES}
)
target_include_directories( ${BIN_NAME} PUBLIC
  ${QGSettings_INCLUDE_DIRS}
  ../../include/util/
  ../../include/dci/
  ../../include/log/
  ../../include/base/
  ../../include/global/
  ../../include/DtkCore/
  ../../include/settings/
  ../../include/filesystem/
  ../../include/
)
install(TARGETS ${BIN_NAME} DESTINATION "${TOOL_INSTALL_DIR}")

=== debian/changelog ===
dtkcore (5.6.2.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 11 Nov 2022 18:11:46 +0800

dtkcore (5.6.2) unstable; urgency=medium

  * snipe release 5.6.2

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 21 Sep 2022 13:57:29 +0800

dtkcore (5.6.0) unstable; urgency=medium

  * snipe release 5.6.0

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 11 Jul 2022 17:47:56 +0800

## dtkcore 5.6.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -89,13 +89,13 @@
 configure_file(misc/qt_lib_dtkcore.pri.in qt_lib_dtkcore.pri @ONLY)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qt_lib_dtkcore.pri DESTINATION "${MKSPECS_INSTALL_DIR}")
 set(CONFIGNAME include/global/dtkcore_config.h)
-file(WRITE ${CONFIGNAME} 
+file(WRITE ${CONFIGNAME}
   "// it is auto make config\n"
   "#define DTK_VERSION_MAJOR ${PROJECT_VERSION_MAJOR}\n"
   "#define DTK_VERSION_MINOR ${PROJECT_VERSION_MINOR}\n"
   "#define DTK_VERSION_PATCH ${PROJECT_VERSION_PATCH}\n"
   "#define DTK_VERSION_BUILD ${BUILD_VERSION}\n"
-  "#define DTK_VERSION_STR \"${PROJECT_VERSION}\"\n"	
+  "#define DTK_VERSION_STR \"${PROJECT_VERSION}\"\n"
   "\n"
 )
 file(GLOB CONFIGSOURCE include/DtkCore/*)

=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -18,13 +18,30 @@
 set (DOXYGEN_HTML_EXTRA_STYLESHEET "" CACHE STRING "Doxygen custom stylesheet for HTML output")
 set (DOXYGEN_TAGFILES "qtcore.tags=qthelp://org.qt-project.qtcore/qtcore/" CACHE STRING "Doxygen tag files")
 
+set (DOXYGEN_MACRO_EXPANSION "YES")
 set (DOXYGEN_PREDEFINED
     "\"DCORE_BEGIN_NAMESPACE=namespace Dtk { namespace Core {\""
     "\"DCORE_END_NAMESPACE=}}\""
     "\"DCORE_USE_NAMESPACE=using namespace Dtk::Core\;\""
+    "Q_OS_LINUX=1"
 )
-set (DOXYGEN_MACRO_EXPANSION "YES")
 set (DOXYGEN_EXPAND_ONLY_PREDEF "YES")
+
+if(BUILD_THEME)
+set (DOXYGEN_HTML_EXTRA_STYLESHEET "docs/doxygentheme/doxygen-awesome.css"
+                                "docs/doxygentheme/doxygen-awesome-sidebar-only.css"
+                                "docs/doxygentheme/doxygen-awesome-sidebar-only-darkmode-toggle.css"
+                                )
+set (DOXYGEN_HTML_EXTRA_FILES "docs/doxygentheme/doxygen-awesome-darkmode-toggle.js"
+                            "docs/doxygentheme/doxygen-awesome-fragment-copy-button.js"
+                            "docs/doxygentheme/doxygen-awesome-paragraph-link.js"
+                            "docs/doxygentheme/doxygen-awesome-interactive-toc.js"
+                            )
+set (DOXYGEN_GENERATE_TREEVIEW "YES")
+set (DOXYGEN_DISABLE_INDEX "NO")
+set (DOXYGEN_FULL_SIDEBAR "NO")
+set (DOXYGEN_HTML_HEADER "docs/doxygentheme/header.html")
+endif()
 
 doxygen_add_docs (doxygen
     ${PROJECT_SOURCE_DIR}/src

=== debian/changelog ===
dtkcore (5.6.2.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Dec 2024 07:18:37 -0500

dtkcore (5.6.2.2-1~exp1) experimental; urgency=medium

  * New upstream release 5.6.2.2.
  * debian/rules: Adjust for CMake-based build.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Dec 2022 09:05:57 -0500

dtkcore (5.5.33-2) unstable; urgency=medium

  * debian/patches: Drop explicit cxx11 from tests. (Closes: #1038703)
  * debian/control:
    + Bump Standards Version to 4.6.2.
    + Update my Uploaders email to debian.org email.
  * debian/upstream/metadata: Fix Repository URL.

 -- Arun Kumar Pariyar <arun@debian.org>  Wed, 21 Jun 2023 00:09:53 +0545

=== debian/control ===
Source: dtkcore
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Yanhao Mo <yanhaocs@gmail.com>,
 Arun Kumar Pariyar <arun@debian.org>,
 Tu Qinggang <tuqinggang@uniontech.com>,
 Clay Stan <claystan97@gmail.com>,
 Hu Feng <hufeng@uniontech.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-sequence-pkgkde-symbolshelper,
 doxygen <!nodoc>,
 libgsettings-qt-dev,
 pkgconf,
 qtbase5-private-dev,
 qttools5-dev-tools,
 libgtest-dev,
 libdtkcommon-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/linuxdeepin/dtkcore
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtkcore.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtkcore

Package: libdtkcore-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libdtkcore5 (= ${binary:Version}),
 libdtkcommon-dev,
 ${misc:Depends},
Breaks:
 libdtkwidget-dev (<< 5.2.2.10-1),
Replaces:
 libdtkwidget-dev (<< 5.2.2.10-1),
Description: Deepin Tool Kit Core library (development files)
 DtkCore is a base library for Deepin Qt/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the header files and static libraries of DtkCore.

Package: libdtkcore5
Architecture: any
Multi-Arch: same
Depends:
 libdtkcommon,
 lshw,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Tool Kit Core library
 DtkCore is a base library of Deepin Qt/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the shared libraries.

Package: libdtkcore5-bin
Architecture: any
Section: utils
Depends:
 libdtkcore5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 dtkcore-bin,
Description: Deepin Tool Kit Core library (utilities)
 DtkCore is a base devel library for Deepin Qt/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains various command-line utilities used by Deepin Tool Kit
 and other Deepin software. Some tools were originally provided by DtkSettings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

export QT_SELECT := 5

# Explicitly enable hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

# Retrieve version info
include /usr/share/dpkg/default.mk

VERSION = $(DEB_VERSION_UPSTREAM)

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
  BUILD_DOC_OPTION := ON
else
  BUILD_DOC_OPTION := OFF
endif


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DBUILD_EXAMPLES=OFF \
            -DBUILD_DOCS=$(BUILD_DOC_OPTION) \
            -DBUILD_VERSION=0 \
            -DDVERSION=$(VERSION) \
            $(NULL)

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md


ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_install:
	# Manually install .qch file when documentation is being built
	dh_install debian/tmp/usr/share/qt5/doc/dtkcore.qch /usr/share/qt5/doc/
endif

## dtkcore 5.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.10)
 
-set (DVERSION "5.6.2" CACHE STRING "define project version")
+set (DVERSION "5.6.4" CACHE STRING "define project version")
 
 project (DtkCore
   VERSION ${DVERSION}
@@ -16,10 +16,12 @@
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(CMAKE_INSTALL_PREFIX /usr)
 endif ()
-set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}/libdtk-${CMAKE_PROJECT_VERSION}/DCore")
-set (TOOL_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/libdtk-${PROJECT_VERSION}/DCore/bin")
-set (LIBRARY_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}")
-set (MKSPECS_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/qt5/mkspecs/modules" CACHE STRING "INSTALL DIR FOR qt pri files")
+set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/dtk${PROJECT_VERSION_MAJOR}/DCore")
+set (TOOL_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/dtk${PROJECT_VERSION_MAJOR}/DCore/bin")
+set (LIBRARY_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}")
+set (MKSPECS_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/mkspecs/modules" CACHE STRING "Install dir for qt pri files")
+set (FEATURES_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/mkspecs/features" CACHE STRING "Install dir for qt prf files")
+set (CONFIG_CMAKE_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/DtkCore" CACHE STRING "Install dir for cmake config files")
 
 set (BUILD_EXAMPLES ON CACHE BOOL "Build examples")
 option(BUILD_VERSION "buildversion" "0")
@@ -42,7 +44,6 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -Wall -Wextra")
   set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--as-needed")
   if (CMAKE_BUILD_TYPE STREQUAL "Debug")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer")
     set(BUILD_TESTING ON)
   endif ()
   string(REPLACE "-O3" "-Ofast" CMAKE_CXX_FLAGS_RELEASE ${CMAKE_CXX_FLAGS_RELEASE})
@@ -67,27 +68,29 @@
   add_subdirectory(examples)
 endif()
 add_subdirectory(tools)
-install(FILES cmake/DtkCMake/DtkCMakeConfig.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkCMake/")
+install(FILES cmake/DtkCMake/DtkCMakeConfig.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkCMake")
 install(FILES cmake/DtkTools/DtkToolsConfig.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkTools")
 install(FILES cmake/DtkTools/DtkSettingsToolsMacros.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkTools")
+install(FILES cmake/DtkDConfig/DtkDConfigConfig.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkDConfig")
 
-configure_package_config_file(misc/DtkConfig.cmake.in
+configure_package_config_file(misc/DtkCoreConfig.cmake.in
     ${CMAKE_CURRENT_BINARY_DIR}/DtkCoreConfig.cmake
-    INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkCore"
-    PATH_VARS INCLUDE_INSTALL_DIR LIBRARY_INSTALL_DIR TOOL_INSTALL_DIR)
+    INSTALL_DESTINATION ${CONFIG_CMAKE_INSTALL_DIR}
+    PATH_VARS TOOL_INSTALL_DIR)
 write_basic_package_version_file(
     "${CMAKE_CURRENT_BINARY_DIR}/DtkCoreConfigVersion.cmake"
     VERSION ${DVERSION}
     COMPATIBILITY SameMajorVersion
 )
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/DtkCoreConfig.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkCore")
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/DtkCoreConfigVersion.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/DtkCore")
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/DtkCoreConfig.cmake DESTINATION ${CONFIG_CMAKE_INSTALL_DIR})
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/DtkCoreConfigVersion.cmake DESTINATION ${CONFIG_CMAKE_INSTALL_DIR})
 
 configure_file(misc/dtkcore.pc.in dtkcore.pc @ONLY)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dtkcore.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
 
 configure_file(misc/qt_lib_dtkcore.pri.in qt_lib_dtkcore.pri @ONLY)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qt_lib_dtkcore.pri DESTINATION "${MKSPECS_INSTALL_DIR}")
+install(FILES misc/dtk_install_dconfig.prf DESTINATION ${FEATURES_INSTALL_DIR})
 set(CONFIGNAME include/global/dtkcore_config.h)
 file(WRITE ${CONFIGNAME}
   "// it is auto make config\n"

=== docs/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)

find_package (Doxygen REQUIRED)

set (QCH_INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/qt5/doc CACHE STRING "QCH install location")

set (DOXYGEN_GENERATE_HTML YES CACHE STRING "Doxygen HTML output")
set (DOXYGEN_GENERATE_XML YES CACHE STRING "Doxygen XML output")
set (DOXYGEN_GENERATE_QHP YES CACHE STRING "Doxygen QHP output")
set (DOXYGEN_FILE_PATTERNS *.cpp *.h *.zh_CN.md *.zh_CN.dox CACHE STRING "Doxygen File Patterns")
set (DOXYGEN_PROJECT_NUMBER ${CMAKE_PROJECT_VERSION} CACHE STRING "") # Should be the same as this project is using.
set (DOXYGEN_EXTRACT_STATIC YES)
set (DOXYGEN_OUTPUT_LANGUAGE "Chinese")
set (DOXYGEN_QHG_LOCATION "qhelpgenerator")
set (DOXYGEN_QHP_NAMESPACE "org.deepin.dtk.core")
set (DOXYGEN_QCH_FILE "dtkcore.qch")
set (DOXYGEN_QHP_VIRTUAL_FOLDER "dtkcore")
set (DOXYGEN_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/docs/)

set (DOXYGEN_HTML_EXTRA_STYLESHEET "" CACHE STRING "Doxygen custom stylesheet for HTML output")
set (DOXYGEN_TAGFILES "qtcore.tags=qthelp://org.qt-project.qtcore/qtcore/" CACHE STRING "Doxygen tag files")
set (DOXYGEN_IMAGE_PATH ${PROJECT_SOURCE_DIR}/docs/src)
set (DOXYGEN_SOURCE_BROWSE "YES")

set (DOXYGEN_MACRO_EXPANSION "YES")
set (DOXYGEN_PREDEFINED
    "DCORE_BEGIN_NAMESPACE=namespace Dtk { namespace Core {"
    "DCORE_END_NAMESPACE=}}"
    "DCORE_USE_NAMESPACE=using namespace Dtk::Core;"
    "Q_OS_LINUX=1"
)
set (DOXYGEN_EXPAND_ONLY_PREDEF "YES")

doxygen_add_docs (doxygen
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_SOURCE_DIR}/docs
    ALL
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMENT "Generate documentation via Doxygen"
)

install (FILES ${PROJECT_BINARY_DIR}/docs/html/dtkcore.qch DESTINATION ${QCH_INSTALL_DESTINATION})

=== examples/CMakeLists.txt ===
add_subdirectory(dasync-example)
add_subdirectory(expintf-example)
add_subdirectory(textcodec-example)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,11 @@
 find_package(Qt5 REQUIRED COMPONENTS DBus)
 endif()
 find_package(Qt5 REQUIRED COMPONENTS Xml)
+
+# start text encoding
+find_package(ICU REQUIRED COMPONENTS uc)
+pkg_check_modules(uchardet REQUIRED uchardet)
+# end text encoding
 
 # start base 
 include(base/base.cmake)
@@ -61,11 +66,15 @@
     ${glob_SRC}
   )
   target_link_libraries(
-    ${LIBNAME} PRIVATE 
+    ${LIBNAME} PUBLIC 
     Qt5::Core 
     Qt5::DBus
     Qt5::Xml
+  )
+  target_link_libraries(${LIBNAME} PRIVATE
     ${QGSettings_LIBRARIES}
+    ICU::uc
+    uchardet
   )
 else()
   add_library(${LIBNAME} SHARED 
@@ -78,29 +87,47 @@
     ${glob_SRC}
   )
   target_link_libraries(
-    ${LIBNAME} PRIVATE 
+    ${LIBNAME} PUBLIC 
     Qt5::Core 
     Qt5::Xml
+  )
+  target_link_libraries(${LIBNAME} PRIVATE
+    ICU::uc
+    uchardet
   )
 endif()
 set_target_properties(${LIBNAME} PROPERTIES
   VERSION ${CMAKE_PROJECT_VERSION}
   SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
+  EXPORT_NAME Core
 )
-target_include_directories( ${LIBNAME} PUBLIC
+target_include_directories(${LIBNAME} PRIVATE
   ${QGSettings_INCLUDE_DIRS}
   ${Qt5Core_PRIVATE_INCLUDE_DIRS}
-  ../include/util/
-  ../include/dci/
-  ../include/log/
-  ../include/base/
-  ../include/base/private
-  ../include/global/
-  ../include/DtkCore/
-  ../include/settings/
-  ../include/filesystem/
-  ../include/
+  ${uchardet_INCLUDE_DIRS}
 )
+target_include_directories(${LIBNAME} PUBLIC
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/util>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/dci>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/log>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/base>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/base/private>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/global>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/DtkCore>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/settings>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/filesystem>
+  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+)
+
+target_include_directories(${LIBNAME} INTERFACE
+  $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>
+)
+
+target_link_directories(${LIBNAME} INTERFACE
+  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
+  $<INSTALL_INTERFACE:${LIBRARY_INSTALL_DIR}>
+)
+
 set(TOINSTALLBASE
   ../include/base/dobject.h
   ../include/base/dsingleton.h
@@ -123,4 +150,11 @@
 )
 install(FILES ${TOINSTALLSETTINGS} DESTINATION "${INCLUDE_INSTALL_DIR}")
 install(DIRECTORY ../include/util/ DESTINATION "${INCLUDE_INSTALL_DIR}" FILES_MATCHING PATTERN "*.h")
-install(TARGETS ${LIBNAME} DESTINATION ${LIBRARY_INSTALL_DIR})
+install(TARGETS ${LIBNAME} EXPORT DtkCoreTargets
+ DESTINATION ${LIBRARY_INSTALL_DIR})
+
+install(EXPORT DtkCoreTargets
+  FILE DtkCoreTargets.cmake
+  NAMESPACE Dtk::
+  DESTINATION ${CONFIG_CMAKE_INSTALL_DIR}
+)

=== examples/dasync-example/CMakeLists.txt ===
set(BINNAME dasync)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
find_package(Qt5 REQUIRED COMPONENTS Widgets)
find_package(Qt5 REQUIRED COMPONENTS Core)

add_executable(${BINNAME}
  main.cpp
)

target_link_libraries(
  ${BINNAME} PRIVATE 
  Qt5::Core 
  Qt5::Widgets
  dtkcore
  -lpthread
)
target_include_directories(${BINNAME} PUBLIC
  ../../include/global/
  ../../include/util/
  ../../include/
)

=== examples/textcodec-example/CMakeLists.txt ===
set(BINNAME textcodec)

find_package(Qt5 REQUIRED COMPONENTS Core)

add_executable(${BINNAME}
    main.cpp
)

target_link_libraries(
    ${BINNAME} PRIVATE
    Qt5::Core
    dtkcore
)

target_include_directories(${BINNAME} PUBLIC
    ../../include/util/
    ../../include/
)

=== tools/dci/CMakeLists.txt ===
--- 
+++ 
@@ -20,3 +20,5 @@
   ../../include/global/
 )
 #end dci
+
+install(TARGETS ${BIN_NAME} DESTINATION "${TOOL_INSTALL_DIR}")

=== debian/changelog ===
dtkcore (5.6.4-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 17 Jan 2023 10:44:58 +0800

dtkcore (5.6.4) unstable; urgency=medium

  * Release 5.6.4

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 06 Jan 2023 16:30:40 +0800

dtkcore (5.6.3) unstable; urgency=medium

  * Release 5.6.3

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 12 Dec 2022 14:40:31 +0800

dtkcore (5.6.2.2) unstable; urgency=medium

  * release 5.6.2.2

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 17:41:10 +0800

dtkcore (5.6.2.1) unstable; urgency=medium

  * snipe release 5.6.2.1

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 31 Oct 2022 16:53:16 +0800

=== debian/control ===
Source: dtkcore
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9), pkg-config,
 qttools5-dev-tools, qtbase5-private-dev, doxygen,
 libgsettings-qt-dev, libgtest-dev, libdtkcommon-dev, cmake,
 libuchardet-dev, libicu-dev
Standards-Version: 3.9.8

Package: libdtkcore5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lshw, libdtkcommon
Multi-Arch: same
Description: Deepin Tool Kit Core library
 DtkCore is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtkcore5-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdtkcore5( =${binary:Version})
Description: Deepin Tool Kit Core Utilities
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the utilities of DtkCore

Package: libdtkcore-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkcore5( =${binary:Version}), libdtkcommon-dev
Description: Deepin Tool Kit Core Devel library
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries of DtkCore

Package: libdtkcore-doc
Architecture: any
Description: Deepin Tool Kit Core (document)
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the doc files of DtkCore
